Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state.consumer
Interface ConsumerPersistenceManager

All Known Implementing Classes:
  AbstractConsumerPersistenceManagerService, ConsumerPersistenceManagerService

    public interface ConsumerPersistenceManager

Version:
  $Revision: 5776 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `createState(ConsumerState state)` Create the initial state.
`void` | `destroyState(java.lang.String stateId)` Destroy the state.
`ConsumerStateContext` | `loadState(java.lang.String stateId)` Load the state.
`void` | `updateState(java.lang.String stateId, ConsumerState propertyMap)` Update the state.

Method Detail

### loadState

    ConsumerStateContext loadState(java.lang.String stateId)
                                   throws java.lang.IllegalArgumentException,
                                          NoSuchStateException,
                                          InvalidStateIdException

  Load the state.

  Parameters:
    `stateId` - the state id
  Returns:
    the value map or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the state id is null
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### createState

    java.lang.String createState(ConsumerState state)
                                 throws java.lang.IllegalArgumentException

  Create the initial state.

  Returns:
    the id of the state created
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet id is null

### updateState

    void updateState(java.lang.String stateId,
                     ConsumerState propertyMap)
                     throws java.lang.IllegalArgumentException,
                            NoSuchStateException,
                            InvalidStateIdException

  Update the state.

  Parameters:
    `stateId` -
    `propertyMap` - the updated state
  Throws:
    `java.lang.IllegalArgumentException` - if the state id is null or the values are null
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

### destroyState

    void destroyState(java.lang.String stateId)
                      throws java.lang.IllegalArgumentException,
                             NoSuchStateException,
                             InvalidStateIdException

  Destroy the state.

  Parameters:
    `stateId` -
  Throws:
    `java.lang.IllegalArgumentException` - if the state id is null
    `NoSuchStateException` - is the specified state does not exist
    `InvalidStateIdException` - if the state id is not valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.